Product Catalog Hotel Rooms Batch
Updated: Jun 28, 2019
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
hotel_rooms_batch
Example
GET /v25.0/{product-catalog-id}/hotel_rooms_batch HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
handlestring |
A unique handle of a batch request.
required |
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of ProductCatalogHotelRoomsBatch nodes.
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
Creating
/{product_catalog_id}/hotel_rooms_batch
You can make a POST request to hotel_rooms_batch edge from the following paths:
When posting to this edge, a ProductCatalogHotelRoomsBatch will be created.
Parameters
| Parameter | Description |
|---|---|
filefile |
Content of the file to be uploaded
|
passwordstring |
If used url then the password for the file
|
standardenum{google} |
Uploaded file export standard
required |
update_onlyboolean | Default value: false
If true, rows missing in the file will not be deleted from Facebook database (only new and updated rows are applied)
|
urlURL |
The url of the file to be downloaded by our system
|
usernamestring |
If used url then the username for the file
|
Return Type
This endpoint supports read-after-write and will read the node to which you POSTed.
Struct {
handles: List [string],
}
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.